Bug 260004 - possiblity to match fields exactly
Summary: possiblity to match fields exactly
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlists/Dynamic Playlists (show other bugs)
Version: 2.4-GIT
Platform: openSUSE RPMs Linux
: NOR wishlist (vote)
Target Milestone: 2.4.0
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-15 22:38 UTC by Silver Salonen
Modified: 2011-11-05 19:40 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Silver Salonen 2010-12-15 22:38:37 UTC
Version:           2.4-GIT (using KDE 4.5.4) 
OS:                Linux

Currently the comparison in dynamic playlist for artists or album is "contains", which could be a bit inexact when I want to match some artists, but one of them has a very short name, eg. I have artists "Foo" and "Foo Bar", but want to match only "Foo".

Reproducible: Didn't try
Comment 1 Matěj Laitl 2011-11-05 19:40:47 UTC
Git commit 3e7122a2879260b531f9b2df4bdeaf0710ae303f by Matěj Laitl, on behalf of Daniel Faust.
Committed on 05/11/2011 at 20:12.
Pushed by laitl into branch 'master'.

Add new collection filter to find exact matches

Searching for label:=pop finds songs labeled with 'pop' but not with
'electro pop'. While searching for label:pop finds songs labeled with
'pop' and 'electro pop'.

GUI is also updated.

REVIEW: 102252
BUG: 260004
GUI: edit collection search and edit dynamic playlist dialogs changed
     slightly
DIGEST: Feature: new "exact" field:=value match in collection search
FIXED-IN: 2.5

M  +2    -0    ChangeLog
M  +7    -2    src/core-impl/collections/support/Expression.cpp
M  +1    -1    src/core-impl/collections/support/Expression.h
M  +10   -8    src/core-impl/collections/support/TextualQueryFilter.cpp
M  +12   -4    src/dialogs/EditFilterDialog.cpp
M  +33   -16   src/widgets/MetaQueryWidget.cpp
M  +2    -2    src/widgets/MetaQueryWidget.h

http://commits.kde.org/amarok/3e7122a2879260b531f9b2df4bdeaf0710ae303f